package test;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;
import com.poscoict.glueframework.util.log.GlueLog;
import com.poscoict.glueframework.util.log.GlueLogFactory;

public class LoggingTest
{
    public static void main( String[] args )
    {
        GlueLog logger = GlueLogFactory.getLogger( LoggingTest.class );

        GlueContext ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "hello-logging-service" );
        ctx.put( "logging", "1" );
        ctx.put( "input", "Glue" );

        logger.debug( "{}", ctx );
        GlueBizController controller = GlueBizProvider.getController();
        controller.doAction( ctx );

        logger.info( "{}", ctx.get( "result" ) );
    }
}