package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;

public class LoggerTestActivity extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        this.logger.info( "ServiceName : {}", ctx.get( GlueBizControlConstants.SERVICE_NAME ) );
        this.logger.debug( "This is '{}' activity", this.getName() );

        Object input = ctx.get( "input" );
        this.logger.debug( "data : {}", input );

        Object output = "Hello " + input + "!!!";
        ctx.put( "result", output );

        this.logger.trace( "{} : {} , next : {}", "result", output, GlueBizControlConstants.SUCCESS );

        return GlueBizControlConstants.SUCCESS;
    }
}